UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 19660

6.2i Install - Red Hat Linux 9.0 CD install reports GLIBC_2.0 error unless LD_ASSUME_KERNEL is set to 2.4.7

描述

Keywords: relocation, libwinsock44, libc.so.6, GLIBC, h_errno

When I try to install 6.2i design tools on my Red Hat Linux 9.0 system, the following errors occur:

"/mnt/cdrom/xilxinfo: relocation error:
/mnt/cdrom/bin/lin/libwinsock44.so: symbol h_errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference"

解决方案

On Red Hat Linux 9.0, you must set the environment variable LD_ASSUME_KERNEL to 2.4.7 before running the setup program, as shown in the following examples:

in csh/tcsh, use 'setenv LD_ASSUME_KERNEL 2.4.7'
in sh/ksh, use 'export LD_ASSUME_KERNEL=2.4.7'
AR# 19660
日期 04/27/2006
状态 Archive
Type 综合文章
的页面